import request from '@/utils/request'

// 查询辅助帐凭证项目关系列表
export function listVoucherProject(query) {
  return request({
    url: '/buyer/voucherProject/list',
    method: 'get',
    params: query
  })
}

// 查询辅助帐凭证项目关系详细
export function getVoucherProject(id) {
  return request({
    url: '/buyer/voucherProject/' + id,
    method: 'get'
  })
}

// 新增辅助帐凭证项目关系
export function addVoucherProject(data) {
  return request({
    url: '/buyer/voucherProject',
    method: 'post',
    data: data
  })
}

// 新增辅助帐凭证项目关系
export function addBatchVoucherProject(data) {
  return request({
    url: '/buyer/voucherProject/addBatch',
    method: 'post',
    data: data
  })
}

// 修改辅助帐凭证项目关系
export function updateVoucherProject(data) {
  return request({
    url: '/buyer/voucherProject',
    method: 'put',
    data: data
  })
}

// 删除辅助帐凭证项目关系
export function delVoucherProject(id) {
  return request({
    url: '/buyer/voucherProject/' + id,
    method: 'delete'
  })
}
